Objects
Room type
A category of room within a hotel.
A category of room within a hotel — its localized category name, bed count,
facilities, images, and amenities. Localized fields (
category, description)
return the locale keys selected by Accept-Language.Pattern:
^[0-9a-fA-F]{24}$Example:
"66f16191f739705faa020003"
Pattern:
^[0-9a-fA-F]{24}$Example:
"66f16191f739705faa020001"
Example:
"SUPERIOR-DBL"
Localized category name (plain text).
Example:
{
"cs-CZ": "Superior dvouluzkovy pokoj",
"de": "Superior Doppelzimmer"
}Example:
2
Example:
["shower", "toilet"]Localized description (Markdown).
Example:
{
"cs-CZ": "Superior dvouluzkovy pokoj",
"de": "Superior Doppelzimmer"
}Draft — not yet implemented. The room type's amenities (those whose scope includes roomType). Resolve each code against GET /amenities. Will eventually replace the free-text facilities list.
Example:
[
{ "code": "comfort.air_conditioning" },
{ "code": "connectivity.wifi" }
]Embedded only when expand=hotel.